package date

import (
	"fmt"
	"testing"
	"time"
)

// Format 根据特定格式格式化日期
func TestFormat(t *testing.T) {
	tm, err := dateTime.Format(time.Now(), "yyyy-MM-dd")
	if err != nil {
		t.Errorf("format failed, %s", err.Error())
		return
	}
	fmt.Println(tm)
}

// Parse 将日期字符串转换为Time
func TestParse(t *testing.T) {
	tm, err := dateTime.Parse("2006-01-02", "yyyy-MM-dd")
	if err != nil {
		t.Errorf("parse failed, %s", err.Error())
		return
	}
	fmt.Println(tm)
}

// Offset 时间偏移
func TestOffset(t *testing.T) {
	tm, err := dateTime.Offset(time.Now(), "-24h")
	if err != nil {
		t.Errorf("offset day failed, %s", err.Error())
		return
	}
	fmt.Println(tm)
}

// SubDays 日期差
func TestSubDays(t *testing.T) {
	tm, _ := dateTime.Offset(time.Now(), "-24h")
	n := dateTime.SubDays(time.Now(), tm)
	if n != 0 {
		t.Error("value must be 0")
		return
	}
	fmt.Println(n)
}
