package operaSystem

import "os"

// GetOsEnv 获取key命名的环境变量的值
func (sys *OperaSystem) GetOsEnv(key string) string {
	return os.Getenv(key)
}

// SetOsEnv sets the value of the environment variable named by the key.
func (sys *OperaSystem) SetOsEnv(key, value string) error {
	return os.Setenv(key, value)
}

// RemoveOsEnv remove a single environment variable.
func (sys *OperaSystem) RemoveOsEnv(key string) error {
	return os.Unsetenv(key)
}

// CompareOsEnv 获取key命名的环境变量值并与compareEnv进行比较
func (sys *OperaSystem) CompareOsEnv(key, comparedEnv string) bool {
	env := sys.GetOsEnv(key)
	if env == "" {
		return false
	}
	return env == comparedEnv
}
