package regx

import "regexp"

// 校验手机号有效性
func (rr *Regx) IsPhone(phone string) bool {
	regular := "^((13[0-9])|(14[5,7])|(15[0-3,5-9])|(17[0,3,5-8])|(18[0-9])|166|198|199|(147))\\d{8}$"
	reg := regexp.MustCompile(regular)
	return reg.MatchString(phone)
}

// IsChineseMobile check if the string is chinese mobile number.
func (rr *Regx) IsChineseMobile(mobileNum string) bool {
	var isChineseMobileRegexMatcher = regexp.MustCompile("^((13[0-9])|(14[5,7])|(15[0-3,5-9])|(17[0,3,5-8])|(18[0-9])|166|198|199|(147))\\d{8}$")
	return isChineseMobileRegexMatcher.MatchString(mobileNum)
}

// IsChinesePhone check if the string is chinese phone number.
// Valid chinese phone is xxx-xxxxxxxx or xxxx-xxxxxxx
func (rr *Regx) IsChinesePhone(phone string) bool {
	var isChinesePhoneRegexMatcher = regexp.MustCompile(`\d{3}-\d{8}|\d{4}-\d{7}`)
	return isChinesePhoneRegexMatcher.MatchString(phone)
}
