package str

import "testing"

func TestIsBlank(t *testing.T) {
	var tests = []struct {
		param    string
		expected bool
	}{
		{"", true},
		{" \t\n\r\v\f\x00　", true},
		{"0", false},
		{"hello", false},
	}
	for _, test := range tests {
		actual := StrTool.IsBlank(test.param)
		if actual != test.expected {
			t.Errorf("%s must be %t", test.param, test.expected)
		}
	}
}
func FuzzStrIsBlank(f *testing.F) {
	f.Fuzz(func(t *testing.T, str string) {
		StrTool.IsBlank(str)
	})
}
func FuzzStrIsNotBlank(f *testing.F) {
	f.Fuzz(func(t *testing.T, str string) {
		StrTool.IsNotBlank(str)
	})
}
func FuzzStr_IsEmpty(f *testing.F) {
	f.Fuzz(func(t *testing.T, str string) {
		StrTool.IsEmpty(str)
	})
}
func FuzzStr_IsNotEmpty(f *testing.F) {
	f.Fuzz(func(t *testing.T, str string) {
		StrTool.IsNotEmpty(str)
	})
}
func FuzzIsBlankOrEmpty(f *testing.F) {
	f.Fuzz(func(t *testing.T, str string) {
		StrTool.IsBlankOrEmpty(str)
	})
}
func FuzzIsNotBlankOrEmpty(f *testing.F) {
	f.Fuzz(func(t *testing.T, str string) {
		StrTool.IsNotBlankOrEmpty(str)
	})
}
